Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Types | Protected Slots | Protected Member Functions | Protected Attributes
tlp::MouseEdgeBendEditor Class Reference

This interactor allows to move/add/delete EdgeBends. More...

`#include <MouseEdgeBendEditor.h>`

Inheritance diagram for tlp::MouseEdgeBendEditor:
[legend]
Collaboration diagram for tlp::MouseEdgeBendEditor:
[legend]

List of all members.

## Public Member Functions

- MouseEdgeBendEditor ()
- ~MouseEdgeBendEditor ()
- bool compute (GlMainWidget *glMainWidget)
- bool draw (GlMainWidget *)
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Protected Types

- enum EditOperation { NONE_OP = 0, TRANSLATE_OP, NEW_OP, DELETE_OP }

## Protected Slots

- void glMainWidgetDestroyed (QObject *)

## Protected Member Functions

- void stopEdition ()

## Protected Attributes

- EditOperation operation
- edge mEdge

## Detailed Description

This interactor allows to move/add/delete EdgeBends.

## Member Enumeration Documentation

enum tlp::MouseEdgeBendEditor::EditOperation`[protected]`

Enumerator:

  NONE_OP |
  TRANSLATE_OP |
  NEW_OP |
  DELETE_OP |

## Constructor & Destructor Documentation

tlp::MouseEdgeBendEditor::MouseEdgeBendEditor | ( |  | ) |

tlp::MouseEdgeBendEditor::~MouseEdgeBendEditor | ( |  | ) |

## Member Function Documentation

InteractorComponent* tlp::MouseEdgeBendEditor::clone | ( |  | ) | `[inline, virtual]`

Clone this interactor component

Implements tlp::InteractorComponent.

bool tlp::MouseEdgeBendEditor::compute | ( | GlMainWidget * |  | ) | `[virtual]`

This function compute the interactor visual feedback

Reimplemented from tlp::InteractorComponent.

bool tlp::MouseEdgeBendEditor::draw | ( | GlMainWidget * |  | ) | `[virtual]`

This function draw interactor

Reimplemented from tlp::InteractorComponent.

bool tlp::MouseEdgeBendEditor::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  |

void tlp::MouseEdgeBendEditor::glMainWidgetDestroyed | ( | QObject * |  | ) | `[protected, slot]`

void tlp::MouseEdgeBendEditor::stopEdition | ( |  | ) | `[protected]`

## Member Data Documentation

edge tlp::MouseEdgeBendEditor::mEdge`[protected]`

EditOperation tlp::MouseEdgeBendEditor::operation`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012